Subject: [nvo3] NVO3 Data Plane Encap Design Team personnel and charter

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Thu, 8 Dec 2016 17:00:25 +0000

Folks,

We would like to announce that Prankaj Garg has kind offered to lead the data plane encapsulation design team.

The other members of the design team are:
Tal Mizrahi
Sami Boutros
David Moses
Rajeev Manur
Erik Nordmark
Michael Smith
Uri Elzur
Ilango Ganga

Sam and Ignas are helping shepherd the design team.

The charter is as follows:

“NVO3 Encapsulation Design team 2016

Problem Statement
The NVO3 WG charter states that it may produce requirements for network virtualization data planes based on encapsulation of virtual network traffic over an IP-
based underlay data plane. Such requirements should consider OAM and security. Based on these requirements the WG will select, extend, and/or develop one or more data plane encapsulation format(s).

This has led to drafts describing three encapsulations being adopted by the working group:
- draft-ietf-nvo3-geneve-03
- draft-ietf-nvo3-gue-04
- draft-ietf-nvo3-vxlan-gpe-02

Discussion on the list and in face-to-face meetings has identified a number of technical problems with each of these encapsulations. Furthermore, there was clear consensus at the IETF meeting in Berlin that it is undesirable for the working group to progress more than one data plane encapsulation. Although consensus could not be reached on the list, the overall consensus was for a single encapsulation (RFC2418, Section 3.3). Nonetheless there has been resistance to converging on a single encapsulation format.

Design Team Goals
The design team should take one of the proposed encapsulations and enhance it to address the technical concerns. Backwards compatibility with the chosen encapsulation and the simple evolution of deployed networks as well as applicability to all locations in the NVO3 architecture are goals. The DT should specifically avoid a design that is burdensome on hardware implementations, but should allow future extensibility. The chosen design should also operate well with ICMP and in ECMP environments. If further extensibility is required, then it should be done in such a manner that it does not require the consent of an entity outside of the IETF.

Timeline
The design team should produce a first draft describing the proposal by end of January 2017. Target adoption by the WG by March 2017 IETF.”

Regards

Matthew and Sam